> For the complete documentation index, see [llms.txt](https://boxlang.ortusbooks.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/scheduler/schedulernew.md).

# SchedulerNew

Create and register a new scheduler.

## Method Signature

```
SchedulerNew(name=[string], timezone=[string], force=[boolean])
```

### Arguments

| Argument   | Type      | Required | Description                                                                     | Default |
| ---------- | --------- | -------- | ------------------------------------------------------------------------------- | ------- |
| `name`     | `string`  | `true`   | The name of the scheduler to create.                                            |         |
| `timezone` | `string`  | `false`  | The timezone for the scheduler. Defaults to the system default timezone.        |         |
| `force`    | `boolean` | `false`  | Whether to replace an existing scheduler with the same name. Defaults to false. | `false` |

## Examples

### Create a new scheduler

```java
sched = schedulerNew( "myScheduler", 4 );
writeOutput( sched.getName() );

```

Result: myScheduler

### Scheduler with custom thread count

```java
sched = schedulerNew( "heavyTasks", 10 );
writeOutput( isObject( sched ) );

```

Result: true

## Related

* [SchedulerGet](/boxlang-language/reference/built-in-functions/scheduler/schedulerget.md)
* [SchedulerGetAll](/boxlang-language/reference/built-in-functions/scheduler/schedulergetall.md)
* [SchedulerList](/boxlang-language/reference/built-in-functions/scheduler/schedulerlist.md)
* [SchedulerRestart](/boxlang-language/reference/built-in-functions/scheduler/schedulerrestart.md)
* [SchedulerShutdown](/boxlang-language/reference/built-in-functions/scheduler/schedulershutdown.md)
* [SchedulerStart](/boxlang-language/reference/built-in-functions/scheduler/schedulerstart.md)
* [SchedulerStats](/boxlang-language/reference/built-in-functions/scheduler/schedulerstats.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/scheduler/schedulernew.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
